/* NAME: Kirill Vasil'evich Timofeev, 322
 * ASGN: N1
 */

#include "Light.h"

Light::Light()
{
   ConstAttenuation = 0.0f;
   LinearAttenuation = 0.0f;
   QuadricAttenuation = 0.0f;
}

Light::~Light(){}

void Light::SetPos(const Vector3D &Pos)
{
    Position = Pos;
}

void Light::SetColor(const Vector3D &Col)
{
    Colour = Col;
}

void Light::SetConst(const float c)
{
    ConstAttenuation = c;
}
void Light::SetLinear(const float l)
{
    LinearAttenuation = l;
}
void Light::SetQuadric(const float q)
{
    QuadricAttenuation = q;
}

Vector3D Light::GetPos()
{
    return Position;
}

Vector3D Light::GetColor()
{
    return Colour;
}

float Light::GetConst()
{
    return ConstAttenuation;
}

float Light::GetLinear()
{
    return LinearAttenuation;
}

float Light::GetQuadric()
{
    return QuadricAttenuation;
}
